export default {
    addClass,
    removeClass,
    bsClass,
    oneOf
}

function addClass(el, className) {
    if (el.classList)
        el.classList.add(className);
    else
        el.className += ' ' + className;
}

function removeClass(el, className) {
    if (el.classList)
        el.classList.remove(className);
    else
        el.className = el.className.replace(new RegExp('(^|\\b)' + className.split(' ').join('|') + '(\\b|$)', 'gi'), ' ');
}

function bsClass(prefix, defaultClass) {
    let result = "prefix";
    if (defaultClass) {
        result += ` ${prefix}-${defaultClass}`;
    }
    return result;
}

function oneOf(values) {
    return (val) => {
        for (let validVal of values) {
            if (val === validVal) {
                return true;
            }
        }

        return false;
    }
}